Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.richtext.controls
Interface RichTextControl

All Superinterfaces
  CM_Control<com.bea.apps.groupspace.richtext.RichText>, ContentControlBase<com.bea.apps.groupspace.richtext.RichText,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<com.bea.apps.groupspace.richtext.RichText>, Serializable

    public interface RichTextControl

extends CM_Control<com.bea.apps.groupspace.richtext.RichText>

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.apps.groupspace.richtext.RichText` | `create(String title, String description, String htmlBody, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)`
`com.bea.apps.groupspace.richtext.RichText` | `create(String title, String description, String htmlBody, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, com.bea.apps.groupspace.folders.Folder parentFolder)` The parent folder is only relevant for Community and Private visibility.
`com.bea.apps.groupspace.richtext.RichText` | `create(String title, String description, String htmlBody, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, com.bea.apps.groupspace.folders.Folder parentFolder, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` The parent folder is only relevant for Community and Private visibility.
`String` | `getHtmlBody(com.bea.apps.groupspace.richtext.RichText richText)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    com.bea.apps.groupspace.richtext.RichText create(String title,
                                                     String description,
                                                     String htmlBody,
                                                     com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)
                                                     throws com.bea.content.NoSuchNodeException,
                                                            com.bea.content.RepositoryException,
                                                            com.bea.content.AuthorizationException,
                                                            CharacterCodingException

  Parameters
    `title` -
    `description` -
    `htmlBody` -
    `visibility` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.richtext.RichText create(String title,
                                                     String description,
                                                     String htmlBody,
                                                     com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                     com.bea.apps.groupspace.folders.Folder parentFolder)
                                                     throws com.bea.content.NoSuchNodeException,
                                                            com.bea.content.RepositoryException,
                                                            com.bea.content.AuthorizationException,
                                                            CharacterCodingException

  The parent folder is only relevant for Community and Private visibility.

  Parameters
    `title` -
    `description` -
    `htmlBody` -
    `visibility` -
    `parentFolder` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.richtext.RichText create(String title,
                                                     String description,
                                                     String htmlBody,
                                                     com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                     com.bea.apps.groupspace.folders.Folder parentFolder,
                                                     com.bea.content.ID[] relatedNodes,
                                                     Set<CmxControl.PropertyPair> dynamicProps)
                                                     throws com.bea.content.NoSuchNodeException,
                                                            com.bea.content.RepositoryException,
                                                            com.bea.content.AuthorizationException,
                                                            CharacterCodingException

  The parent folder is only relevant for Community and Private visibility.

  Parameters
    `title` -
    `description` -
    `htmlBody` -
    `visibility` -
    `parentFolder` -
    `relatedNodes` -
    `dynamicProps` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### getHtmlBody

    String getHtmlBody(com.bea.apps.groupspace.richtext.RichText richText)
                       throws com.bea.content.RepositoryException,
                              com.bea.content.AuthorizationException

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved